/*general styles start*/

body {
    font-family: 'Montserrat', sans-serif;
}

.container {
    width: 1160px;
    margin: 0 auto;
}

.green-color {
    color: #18cfab;
}

.dark-gray-color {
    color: #4e4e4e;
}

.white-color {
    color: #ffffff;
}

.green-background {
    background-color: #18cfab;
}

.blue-background {
    background-color: #00cbf6;
}

.dark-blue-background {
    background-color: #1c2a33;
}

.white-background {
    background-color: #ffffff;
}

.button-layer {
    display: inline-block;
    width: 166px;
    height: 61px;
    border-radius: 4px;
    background-color: #ffffff;
    position: relative;
}

.button-with-layer {
    display: inline-block;
    width: 166px;
    padding: 26px 0;
    border-radius: 4px;
    color: #ffffff;
    font-size: 13px;
    font-weight: 700;
    text-align: center;
    text-transform: uppercase;
    text-decoration: none;
    position: absolute;
    top: 4px;
}

.button-container {
    display: flex;
    justify-content: center;
}

.button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 166px;
    padding: 26px 0;
    border-radius: 4px;
    color: #ffffff;
    font-size: 13px;
    font-weight: 700;
    text-align: center;
    text-transform: uppercase;
    text-decoration: none;
}

.button-plus {
    display: inline-block;
    margin-right: 16px;
}

.section-title {
    margin-bottom: 110px;
    font-size: 36px;
    text-align: center;
    text-transform: capitalize;
    position: relative;
}

.section-title::before {
    content: "";
    display: block;
    height: 1px;
    width: 76px;
    position: absolute;
    bottom: -35px;
    left: 50%;
    transform: translateX(calc(-50% - 6px));
    background-color: #18cfab;
}

.section-title::after {
    content: "";
    display: block;
    height: 1px;
    width: 76px;
    position: absolute;
    bottom: -39px;
    left: 50%;
    transform: translateX(calc(-50% + 6px));
    background-color: #18cfab;
}

.hidden {
    display: none;
}

/*general styles end*/

/*header styles start*/

.header {
    padding-bottom: 244px;
    background: url("../img/header/header-bg.jpg") center no-repeat;
    background-size: cover;
}

.navbar {
    background-color: rgba(73, 71, 63, 0.6);
}

.navbar-content {
    padding: 44px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.navbar-logo {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
}

.navbar-logo-hexagon {
    margin-right: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 58px;
    height: 28px;
    background: #18cfab;
    position: relative;
}
.navbar-logo-hexagon::before {
    content: "";
    position: absolute;
    top: -19px;
    left: 0;
    width: 0;
    height: 0;
    border-left: 29px solid transparent;
    border-right: 29px solid transparent;
    border-bottom: 19px solid #18cfab;
}
.navbar-logo-hexagon::after {
    content: "";
    position: absolute;
    bottom: -19px;
    left: 0;
    width: 0;
    height: 0;
    border-left: 29px solid transparent;
    border-right: 29px solid transparent;
    border-top: 19px solid #18cfab;
}

.navbar-logo-char {
    color: #ffffff;
    font-size: 40px;
    font-weight: 700;
    text-transform: uppercase;
}

.navbar-logo-text {
    color: #ffffff;
    font-size: 32px;
}

.navbar-logo-header {
    font-weight: 700;
}

.navbar-menu {
    display: flex;
    align-items: center;
}

.navbar-menu-item {
    display: inline-block;
    margin: 0 15px;
}

.navbar-menu-link {
    color: #b8b8b8;
    font-size: 13px;
    font-weight: 700;
    text-transform: uppercase;
    text-decoration: none;
    position: relative;
}

.navbar-menu-link.active {
    color: #18cfab;
}

.navbar-menu-link.active::after {
    content: "";
    display: block;
    height: 2px;
    width: 100%;
    background-color: #18cfab;
    position: absolute;
    bottom: -53px;
}

.navbar-menu-link:hover {
    color: #18cfab;
}

.navbar-menu-link:hover::after {
    content: "";
    display: block;
    height: 2px;
    width: 100%;
    background-color: #18cfab;
    position: absolute;
    bottom: -53px;
}

.navbar-menu-search {
    cursor: pointer;
}

.header-search-icon.fas.fa-search {
    color: #b8b8b8;
    font-size: 22px;
}

.navbar-menu-form {
    display: none;
}

.navbar-menu-input {
    width: 150px;
    border: 0;
    outline: none;
    background-color: rgba(255, 255, 255, 0.7);
    font-size: 13px;
    font-weight: 700;
    color: #5d5f60;
}

.header-content {
    padding-top: 246px;
}

.header-title {
    color: #ffffff;
    font-size: 35px;
    font-weight: 700;
    text-align: center;
    text-transform: uppercase;
}

.header-slogan {
    margin-top: 45px;
    color: #ffffff;
    font-size: 79px;
    font-weight: 700;
    text-align: center;
    text-transform: uppercase;
}

.header-text {
    margin-top: 37px;
    margin-bottom: 146px;
    color: #d4d4d4;
    font-size: 34px;
    font-weight: 300;
    text-align: center;
    text-transform: capitalize;
}

.header-buttons {
    width: 360px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
}

/*header styles end*/

/*section advantages styles start*/

.advantages {
    display: flex;
    justify-content: center;
}

.advantage-block {
    display: inline-block;
    width: 25%;
    text-align: center;
}

.advantages-green-line {
    width: 100%;
    height: 7px;
    background-color: #18cfab;
}

.advantages-line {
    width: 100%;
    height: 7px;
}

.advantage-block-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 86px auto 42px;
    width: 100px;
    height: 100px;
}

.advantage-block-title {
    padding-bottom: 120px;
    color: #ffffff;
    font-size: 20px;
    font-weight: 700;
    text-transform: uppercase;
}

/*section advantages styles end*/

/*section services styles start */

.services {
    padding: 82px 0 103px;
}

.services-menu {
    display: flex;
    justify-content: center;
    margin-bottom: 24px;
}

.services-menu-link {
    display: inline-block;
    text-decoration: none;
    width: 192px;
    padding: 28px 0;
    background-color: #f8fcfe;
    border: 1px solid #ececec;
    color: #717171;
    font-size: 16px;
    text-align: center;
    text-transform: capitalize;
}

.services-menu-link.active {
    color: #ffffff;
    background-color: #18cfab;
    position: relative;
}

.services-menu-link.active::after {
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    border-top: 12px solid #18cfab;
    position: absolute;
    bottom: -12px;
    left: 50%;
    transform: translateX(-50%);
}

.services-menu-link:hover {
    color: #ffffff;
    background-color: #18cfab;
    position: relative;
}

.services-menu-link:hover::after {
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    border-top: 12px solid #18cfab;
    position: absolute;
    bottom: -12px;
    left: 50%;
    transform: translateX(-50%);
}

.services-description {
    display: flex;
    justify-content: left;
}

.services-description-image {
    margin-right: 20px;
    width: 194px;
    height: 139px;
    object-fit: cover;
}

.services-description-text {
    max-width: 946px;
    height: 150px;
    color:  #777777;
    font-size: 14px;
    font-weight: 300;
    line-height: 25px;
    text-align: justify;
}

/*section services styles end*/

/*section purchase styles start */

.purchase {
    background: url("../img/purchase/purchase-bg.jpg") center no-repeat;
    background-size: cover;
}

.purchase-background-color {
    width: 100%;
    padding: 126px 0;
    background-color: rgba(0, 0, 0, 0.78);
}

.purchase-title {
    margin-bottom: 35px;
    text-align: center;
    font-size: 40px;
    font-weight: 700;
    text-transform: uppercase;
}

.purchase-text {
    margin-bottom: 80px;
    text-align: center;
    color: #d8d8d8;
    font-size: 16px;
}

.purchase-button {
    display: flex;
    justify-content: center;
}

/*section purchase styles end */

/*section work styles start*/

.works {
    padding-top: 97px;
    padding-bottom: 100px;
    background-color: #f8fcfe;
}

.works-menu {
    margin-bottom: 70px;
    text-align: center;
}

.works-menu-item {
    display: inline-block;
    border: 1px solid #ececec;
    background-color: #ffffff;
}

.works-menu-link {
    display: inline-block;
    padding: 24px 29px;
    color: #717171;
    font-size: 14px;
    text-transform: capitalize;
    text-decoration: none;
}

.works-menu-link.active {
    color: #18cfab;
    position: relative;
}

.works-menu-link.active::after {
    content: "";
    display: block;
    width: calc(100% + 2px);
    height: 2px;
    background-color: #18cfab;
    position: absolute;
    top: -2px;
    left: -1px;
}

.works-menu-link:hover {
    color: #18cfab;
    position: relative;
}

.works-menu-link:hover::after {
    content: "";
    display: block;
    width: calc(100% + 2px);
    height: 2px;
    background-color: #18cfab;
    position: absolute;
    top: -2px;
    left: -1px;
}

.works-portfolios {
    margin-bottom: 72px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.works-portfolio-item {
    height: 206px;
    width: 284px;
    overflow: hidden;
    position: relative;
}

.portfolio-active {
    height: 206px;
    width: 284px;
    background-color: #ffffff;
    text-align: center;
    position: absolute;
    top: 0;
}

.portfolio-active::before {
    content: "";
    display: block;
    height: 3px;
    background-color: #18cfab;
}

.portfolio-active-icons {
    display: flex;
    justify-content: center;
    margin: 43px 0 34px;

}

.portfolio-active-share.fas.fa-share-alt {
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    height: 40px;
    width: 40px;
    margin-right: 5px;
    border-radius: 20px;
    border: 1px solid #18cfab;
    text-decoration: none;
}

.portfolio-active-search.fas.fa-search {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #18cfab;
    height: 40px;
    width: 40px;
    border-radius: 20px;
    text-decoration: none;
}

.portfolio-active-title {
    margin-bottom: 13px;
    font-size: 14px;
    font-weight: 700;
    text-transform: uppercase;
}

.portfolio-active-text {
    color: #8a8a8a;
    font-size: 12px;
    font-weight: 300;
    text-transform: capitalize;
}

.loader-container {
    font-size: 10px;
    position: relative;
    width: 100px;
    height: 68px;
    text-align: center;
    vertical-align: top;
}

.loader {
    width: 10px;
    height: 10px;
    top: 50%;
    border-radius: 50%;
    position: relative;
    animation: loader 0.9s 0.35s ease alternate infinite;
    margin: -20px auto 0;
}

.loader::after,
.loader::before {
    content: '';
    position: absolute;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    animation: loader 0.9s ease alternate infinite;
}

.loader::before {
    left: -20px;
    animation-delay: 0.2s;
}

.loader::after {
    right: -20px;
    animation-delay: 0.5s;
}

@keyframes loader {
    0% {
        box-shadow: 0 15px 0 -15px #18cfab;
    }
    100% {
        box-shadow: 0 15px 0 #18cfab;
    }
}

/*section work styles end*/

/*section news styles start */

.news {
    padding: 84px 0 131px;
}

.news-items {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.news-item {
    margin: 0 28px 45px 0;
    background-color: #f8fcfe;
    position: relative;
    text-decoration: none;
}

.news-item:nth-child(4n) {
    margin: 0 0 45px 0;
}

.news-item img {
    height: 208px;
    width: 263px;
    object-fit: cover;
}

.news-item-content {
    padding: 15px 0 11px 15px;
}

.news-item-title {
    display: block;
    margin-bottom: 14px;
    color: #717171;
    font-size: 18px;
    font-weight: 700;
    text-transform: capitalize;
}

.news-item:hover .news-item-title {
    color: #18cfab;
}

.news-item-text {
    color:  #777777;
    font-size: 14px;
    font-weight: 300;
}

.news-item-text-line {
    margin: 0 10px;
}

.news-item-label {
    width: 68px;
    height: 66px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: #203e38;
    color: #ffffff;
    font-size: 16px;
    position: absolute;
    top: 0;
    right: 0;
}
.news-item-label p:nth-child(1) {
    margin-bottom: 10px;
}

.news-item:hover .news-item-label {
    background-color: #18cfab;
}

/*section news styles end*/

/*section testimonial styles start*/

.testimonial {
    background: url("../img/testimonial/testimonial-bg.jpg") center no-repeat;
    background-size: cover;
}

.testimonial-background-color {
    width: 100%;
    padding: 100px 0;
    background-color:  rgba(0, 0, 0, 0.5);
}

.testimonial-title-label {
    text-transform: none;
}

.testimonial-quotes {
    text-align: center;
    font-size: 88px;
}

.testimonial-stage-item {
    width: 1160px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.testimonial-stage-text {
    margin-bottom: 40px;
    color: #bbbbbb;
    font-size: 16px;
    font-weight: 300;
    line-height: 30px;
    text-align: center;
}

.testimonial-stage-name {
    margin-bottom: 10px;
    font-size: 16px;
    font-weight: 700;
    text-transform: uppercase;
}

.testimonial-stage-position {
    margin-bottom: 37px;
    color: #bbbbbb;
    font-size: 13px;
    font-weight: 300;
    text-transform: capitalize;
}

.testimonial-stage-logo {
    box-sizing: border-box;
    width: 140px;
    height: 140px;
    border-radius: 70px;
    border: 3px solid #18cfab;
    box-shadow: 0 0 0 10px rgba(12, 71, 69, 0.5);
}

.testimonial-carousel .stage {
    position: relative;
}

.testimonial-carousel .carousel {
    overflow: hidden;
    position: relative;
    padding-bottom: 20px;
}

.testimonial-carousel .carousel ul {
    width: 10000em;
    position: relative;
    list-style: none;
    margin: 0;
    padding: 0;
}

.testimonial-carousel .carousel li {
    float: left;
}

.testimonial-carousel .navigation {
    width: 400px;
    margin: 50px auto 0;
    position: relative;
}

.testimonial-carousel .testimonial-carousel-navigation {
    height: 80px;
}

.testimonial-carousel .testimonial-carousel-navigation li {
    cursor: pointer;
}

.testimonial-carousel .testimonial-carousel-navigation li img {
    display: block;
    box-sizing: border-box;
    width: 60px;
    height: 60px;
    margin: 20px 20px 0 20px;
    border-radius: 30px;
    box-shadow: 0 0 0 3px rgba(12, 71, 69, 0.5);
}

.testimonial-carousel .testimonial-carousel-navigation li.active img {
    margin-top: 5px;
    border: 2px solid #18cfab;
    box-shadow: 0 0 0 3px rgba(12, 71, 69, 0.5);
}

.testimonial-carousel .prev-stage,
.testimonial-carousel .next-stage {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 30px;
    width: 30px;
    position: absolute;
    top: 420px;
    font-weight: 700;
    text-decoration: none;
    border: 1px solid #bbbbbb;
    color: #bbbbbb;
}

.testimonial-carousel .prev-stage:hover,
.testimonial-carousel .next-stage:hover {
    background-color: #18cfab;
}

.testimonial-carousel .prev-stage {
    left: 330px;
}

.testimonial-carousel .next-stage {
    right: 330px;
}

/*section testimonial styles end*/

/*section gallery styles start*/

.gallery {
    padding: 97px 0 82px;
}

.gallery-grid {
    margin: 0 auto 60px;
    width: 1160px;
}

.gallery-grid:after {
    content: '';
    display: block;
    clear: both;
}

.gallery-grid-item {
    margin-bottom: 8px;
    width: 118px;
    height: 92px;
    float: left;
    overflow: hidden;
}

.gallery-grid-item--width2 {
    width: 180px;
}

.gallery-grid-item--width3 {
    width: 370px;
}

.gallery-grid-item--height2 {
    height: 168px;
}

.gallery-grid-item--height3 {
    height: 259px;
}

.gallery-grid-item--height4 {
    height: 380px;
}

.gallery-item-active {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.6);
    position: absolute;
}

.gallery-active-search.fas.fa-search {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 40px;
    width: 40px;
    margin-right: 10px;
    border-radius: 3px;
    text-decoration: none;
}

.gallery-active-arrows.fas.fa-arrows-alt {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 40px;
    width: 40px;
    border-radius: 3px;
    text-decoration: none;
}

/*section gallery styles end*/

/*footer styles start*/

.footer {
    padding: 47px 0;
    background-color: #22353f;
}

.footer-text {
    text-align: center;
    color: #aeaeae;
    font-size: 14px;
    font-weight: 300;
}

/*footer styles end*/

/*modal styles start*/

.modal-layer {
    position: fixed;
    overflow: auto;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
}

.modal-container {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
}

.modal {
    background-color: #ffffff;
    border-radius: 15px;
    display: flex;
    padding: 45px 45px 55px 45px;
}

.modal-block {
    width: 335px;
}

.modal-title {
    margin-bottom: 22px;
    color: #474646;
    font-size: 20px;
}

.modal-field {
    height: 46px;
    margin-bottom: 22px;
}

.modal-form {
    display: flex;
    flex-direction: column;
    position: relative;
}

.modal-form-input {
    box-sizing: border-box;
    border-radius: 5px;
    border: 1px solid #dedede;
    outline: none;
    color:  #b6b6b6;
    font-size: 18px;
    padding: 0 30px 0 15px;
}

.modal-form-button {
    cursor: pointer;
    background-color: #18cfab;
    border-radius: 5px;
    border: none;
    color: #ffffff;
    font-size: 21px;
}

.modal-form-button:hover {
    background-color: #099178;
}

.modal-form .fas.fa-at {
    position: absolute;
    top: 15px;
    right: 11px;
    color:  #b6b6b6;
}

.modal-form .fas.fa-lock {
    position: absolute;
    top: 83px;
    right: 11px;
    color:  #b6b6b6;
}

.modal-form-bottom {
    display: flex;
    justify-content: space-between;
}

.modal-form-checkbox {
    display: flex;
}

.checkbox-remember {
    display: none;
}
.checkbox-remember-custom {
    position: relative;
    width: 16px;
    height: 16px;
    background-color: #dedede;
    border-radius: 3px;
}

.checkbox-remember:checked + .checkbox-remember-custom::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: url(../img/general/checkbox.png) center no-repeat;
}
.checkbox-remember-text {
    margin-left: 10px;
    color: #b6b6b6;
    font-size: 15px;
}

.modal-form-link {
    color: #b6b6b6;
    font-size: 15px;
    text-transform: capitalize;
    text-decoration: none;
}

.modal-form-link:hover {
    text-decoration: underline;
}

.modal-delimiter {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0 25px;
    color:  #919191;
    font-size: 14px;
    font-style: italic;
 }

.modal-delimiter::before {
    content: "";
    display: block;
    margin-bottom: 17px;
    height: 90px;
    width: 1px;
    background-color: #18cfab;
}

.modal-delimiter::after {
    content: "";
    display: block;
    margin-top: 17px;
    height: 90px;
    width: 1px;
    background-color: #18cfab;
}

.modal-button {
    display: flex;
    align-items: center;
    border-radius: 5px;
    text-decoration: none;
}

.modal-social-logo {
    height: 46px;
    width: 58px;
}

.modal-button-text{
    padding-left: 33px;
    color:  #ffffff;
    font-size: 18px;
}

.facebook-button-background {
    background-color: #385899;
}

.facebook-button-background:hover {
    background-color: #324e89;
}

.facebook-button-background:hover .fab.fa-facebook-f {
    background-color: #385899;
}

.modal-block .fab.fa-facebook-f {
    display: flex;
    justify-content: center;
    align-items: center;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    color: white;
    background-color: #324e89;
}

.twitter-button-background {
    background-color: #43b1e4;
}

.twitter-button-background:hover {
    background-color: #3ea3d2;
}

.twitter-button-background:hover .fab.fa-twitter {
    background-color: #43b1e4;
}

.modal-block .fab.fa-twitter {
    display: flex;
    justify-content: center;
    align-items: center;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    color: white;
    background-color: #3ea3d2;
}

.google-button-background {
    background-color: #df4b31;
}

.google-button-background:hover {
    background-color: #cf3c21;
}

.google-button-background:hover .fab.fa-google {
    background-color: #df4b31;
}

.modal-block .fab.fa-google {
    display: flex;
    justify-content: center;
    align-items: center;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    color: white;
    background-color: #cf3c21;
}

/*modal styles end*/

/*scroll top button styles start*/

.scroll-top-layer {
    position: fixed;
    overflow: auto;
    right: 0;
    top: 0;
    width: 100px;
    height: 100%;
    cursor: pointer;
}

.scroll-top-layer:hover {
    background-color: rgba(0, 0, 0, 0.3);
}

.scroll-top-container {
    position: absolute;
    left: 50%;
    top: 75%;
    transform: translateX(-50%) translateY(-50%);
}

.scroll-top-button {
    background-color: #ffffff;
    border-radius: 50%;
    font-size: 50px;
    color: #18cfab;
    text-decoration: none;
}

/*scroll top button styles end*/